#ifndef __PROTOTYPES__H__
#define __PROTOTYPES__H__

/*----------------------------------------------------------------------------*/

/* VERS */

/*
  This file is part of Code_Saturne, a general-purpose CFD tool.

  Copyright (C) 1998-2014 EDF S.A.

  This program is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free Software
  Foundation; either version 2 of the License, or (at your option) any later
  version.

  This program is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
  details.

  You should have received a copy of the GNU General Public License along with
  this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
  Street, Fifth Floor, Boston, MA 02110-1301, USA.
*/

/*----------------------------------------------------------------------------*/

#include "cs_defs.h"

BEGIN_C_DECLS

/*----------------------------------------------------------------------------*/

extern int testcase;

/*----------------------------------------------------------------------------*/

void
fvca_nmat(int *n,
          cs_real_6_t v[]);

/*----------------------------------------------------------------------------*/

void
fvca_solfac(cs_real_t ufac[],
            cs_real_t a[]);

/*----------------------------------------------------------------------------*/

void
fvca_sol(cs_real_t u[],
         cs_real_t a[]);

/*----------------------------------------------------------------------------*/

void
fvca_source(cs_real_t   f[],
            cs_real_6_t v[],
            cs_real_t   a[]);

/*----------------------------------------------------------------------------*/

void
fvca_grad(cs_real_3_t gradu[],
          cs_real_t   a[]);

/*----------------------------------------------------------------------------*/

void
fvca_visc(cs_real_6_t v[],
          cs_real_t a[]);

/*----------------------------------------------------------------------------*/

END_C_DECLS

#endif /* __PROTOTYPES__H__ */
